List Locations for Customer
curl --request GET \
--url https://api.crosoftware.com/v0/customers/{customer_id}/locations \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.crosoftware.com/v0/customers/{customer_id}/locations"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.crosoftware.com/v0/customers/{customer_id}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_limit": 123,
"current_page": 123,
"results": [
{
"account_number_1": "<string>",
"account_number_2": "<string>",
"addresses": [
{
"country": "<string>",
"id": 123,
"is_active": true,
"is_billing": true,
"is_physical": true,
"is_shipping": true,
"latitude": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>"
}
],
"contacts": [
{
"email": "jsmith@example.com",
"fax": "<string>",
"id": 123,
"name": "<string>",
"notify_on_acknowledged_request": true,
"notify_on_completed_request": true,
"notify_on_dispatched_request": true,
"notify_on_failed_request": true,
"notify_on_new_request": true,
"number": "<string>"
}
],
"created_on": "2023-11-07T05:31:56Z",
"id": 123,
"is_active": true,
"last_updated_on": "2023-11-07T05:31:56Z",
"location_id": 123,
"locations": [
{
"created_on": "2023-11-07T05:31:56Z",
"id": 123,
"is_active": true,
"last_updated_on": "2023-11-07T05:31:56Z",
"location_id": 123,
"renewal_date": "2023-11-07T05:31:56Z",
"is_commercial": true,
"note": "<string>",
"reference_number": "<string>",
"sales_rep": "<string>",
"sales_rep_id": "<string>",
"suspension_id": 123
}
],
"name": "<string>",
"parent_id": 123,
"renewal_date": "2023-11-07T05:31:56Z",
"is_commercial": true,
"note": "<string>",
"reference_number": "<string>",
"sales_rep": "<string>",
"sales_rep_id": "<string>",
"suspension_id": 123
}
],
"total_count": 123,
"total_pages": 123
}Customers
List Locations for Customer
List customer locations.
GET
/
customers
/
{customer_id}
/
locations
List Locations for Customer
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Customer identifier.
Response
200 - application/json
Success
Customer list (paged).
⌘I